package com.lockscreen.onelock

import android.annotation.TargetApi
import android.app.Activity
import android.os.Build
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.widget.ImageView
import com.dotools.umlibrary.UMPostUtils

class StatementActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_statement)
        val statementBtn = findViewById<ImageView>(R.id.statementBtn)
        statementBtn.setOnClickListener {
            setResult(Activity.RESULT_OK)
            finish() }
    }
    override fun onResume() {
        super.onResume()
        UMPostUtils.onActivityResume(this)
    }

    @TargetApi(Build.VERSION_CODES.N)
    override fun onPause() {
        super.onPause()
        UMPostUtils.onActivityPause(this)
    }
}