package com.lockscreen.onelock

import android.annotation.TargetApi
import android.os.Build
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.widget.Button
import com.dotools.umlibrary.UMPostUtils


class UserProjectActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.user_project)
        val button = findViewById<Button>(R.id.user_project_back)
        button.setOnClickListener { finish() }
    }
    override fun onResume() {
        super.onResume()
        UMPostUtils.onActivityResume(this)
    }

    @TargetApi(Build.VERSION_CODES.N)
    override fun onPause() {
        super.onPause()
        UMPostUtils.onActivityPause(this)
    }
}